package MailScanner;

use strict;
use warnings;

{
	sub new
	{
		my ( $class ) = @_;

        my $new_object = bless \do{ my $anon_scalar }, $class;
                
        return $new_object;
	}
	
	sub connect
	{
		my ( $self, $hostname, $port, $ssl, $user, $password, $error_ref ) = @_;
	}
	
	sub disconnect
	{
		my ( $self ) = @_;
	}
	
	sub getCandidateMessageNumbers
	{
		my ( $self, $config, $message_number_to_uid_ref, $error_ref ) = @_;
	}
	
	sub getMessageHeaders
	{
		my ( $self, $message_number, $req_headers_ref, $error_ref ) = @_;
	}
	
	sub getRawMessage
	{
		my ( $self, $message_number, $error_ref ) = @_;
	}
	
	sub deleteMessage
	{
		my ( $self, $message_number ) = @_;
	}
}

1;
